# apply external clock to clock pin
create_clock -name ext_clk -period 62.5 [get_ports ext_clk]

# handle JTAG clock and IO
set_clock_groups -asynchronous -group [get_clocks altera_reserved_tck]
set_input_delay  -clock altera_reserved_tck 20 [get_ports altera_reserved_tdi]
set_input_delay  -clock altera_reserved_tck 20 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck 20 [get_ports altera_reserved_tdo]

# create PLL output clock
create_generated_clock -name sys_clk -source {uC1|the_main_pll|sd1|pll7|clk[0]} -multiply_by 25 -divide_by 8 -duty_cycle 50.00

# set false paths between clock domains
set_false_path -from [get_clocks {ext_clk}] -to  [get_clocks {sys_clk}]
set_false_path -from [get_clocks {sys_clk}]  -to [get_clocks {ext_clk}]

# ignore the timing at the LED output pins
set_false_path  -from  [get_clocks {sys_clk}]  -to  [get_ports {led[*]}]
